CEPH-MDS(8)

NAME
ceph-mds - ceph metadata server daemon

SYNOPSIS
ceph-mds -i <ID> [flags]

DESCRIPTION

ceph-mds is the metadata server daemon for the Ceph distributed file system. One or more instances of ceph-mds collectively manage the file system namespace, coordinating access to the shared OSD cluster.

Each ceph-mds daemon instance should have a unique name. The name is used to identify daemon instances in the ceph.conf.

Once the daemon has started, the monitor cluster will normally assign it a logical rank, or put it in a standby pool to take over for another daemon that crashes. Some of the specified options can cause other behaviors.

OPTIONS

    -f, --foreground
        Foreground: do not daemonize after startup (run in foreground). Do not generate a pid file. Useful when run via ceph-run(8).

    -d  Debug mode: like -f, but also send all log output to stderr.

    --setuser userorgid
        Set uid after starting. If a username is specified, the user record is looked up to get a uid and a gid, and the gid is also set as well, unless --setgroup is also specified.

    --setgroup grouporgid
        Set gid after starting. If a group name is specified the group record is looked up to get a gid.

    -c ceph.conf, --conf=ceph.conf
        Use ceph.conf configuration file instead of the default /etc/ceph/ceph.conf to determine monitor addresses during startup.

    -m monaddress[:port]
        Connect to specified monitor (instead of looking through ceph.conf).

    --id/-i ID
        Set ID portion of the MDS name.

AVAILABILITY

ceph-mds is part of Ceph, a massively scalable, open-source, distributed storage system. Please refer to the Ceph documentation at https://docs.ceph.com for more information.

SEE ALSO

ceph(8), ceph-mon(8), ceph-osd(8)

COPYRIGHT
2010-2026, Inktank Storage, Inc. and contributors. Licensed under Creative Commons Attribution Share Alike 3.0 (CC-BY-SA-3.0)